import request from '@/utils/request'

// 查询装置管理列表
export function listPlant(query) {
  return request({
    url: '/system/plant/list',
    method: 'get',
    params: query
  })
}

// 查询装置管理列表
export function mylistPlant(query) {
  return request({
    url: '/system/plant/myList',
    method: 'get',
    params: query
  })
}

// 查询装置管理列表
export function listUnit(data) {
  return request({
    url: '/system/plant/unitList',
    method: 'post',
    data: data
  })
}

// 查询装置管理详细
export function getPlant(plantId) {
  return request({
    url: '/system/plant/' + plantId,
    method: 'get'
  })
}

// 新增装置管理
export function addPlant(data) {
  return request({
    url: '/system/plant',
    method: 'post',
    data: data
  })
}

// 修改装置管理
export function updatePlant(data) {
  return request({
    url: '/system/plant',
    method: 'put',
    data: data
  })
}

// 删除装置管理
export function delPlant(plantId) {
  return request({
    url: '/system/plant/' + plantId,
    method: 'delete'
  })
}

// 导出装置管理
export function exportPlant(query) {
  return request({
    url: '/system/plant/export',
    method: 'get',
    params: query
  })
}
